import { Component } from '@angular/core';
import { DataproviderService } from './dataprovider.service'
import { FileList, MusicItem } from './filelist';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Private Cloud Music';
  playlists: string[] = [];
  filelists: FileList;
  
  constructor(public provider : DataproviderService) {}
  
  ngOnInit() : void {
    this.fetchPlaylists();
  }

  fetchPlaylists() : void {
    this.provider.getFileList("/")
      .subscribe(filelist => {
        this.playlists = filelist.subFolderList;
        let firstFolder = this.playlists[0];
        this.provider.getFileList(firstFolder)
          .subscribe(filelist => this.filelists = filelist)
      });
  }
}
